<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.epidemic.historyquarantine.mapper.HistoryQuarantineMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="historyQuarantineResultMap" type="org.springblade.epidemic.historyquarantine.entity.HistoryQuarantine">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="person" property="person"/>
        <result column="address" property="address"/>
        <result column="device_no" property="deviceNo"/>
        <result column="quarantine_time" property="quarantineTime"/>
        <result column="quarantine_days" property="quarantineDays"/>
        <result column="person_from" property="personFrom"/>
    </resultMap>


    <select id="selectHistoryQuarantinePage" resultMap="historyQuarantineResultMap">
        select * from yc_history_quarantine where is_deleted = 0
    </select>

</mapper>
